Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 641818 - <sys-kernel/gentoo-sources-{4.14.8-r1,4.9.??,4.4.???}: Link is not ready / does not come up on e1000e ICH8 network interfaces
Summary: <sys-kernel/gentoo-sources-{4.14.8-r1,4.9.??,4.4.???}: Link is not ready / do...
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL: https://bugzilla.kernel.org/show_bug....
Whiteboard:
Keywords:
Depends on: 641832 644662 644664
Blocks:
  Show dependency tree
 
Reported: 2017-12-20 14:29 UTC by Till Schäfer
Modified: 2018-06-19 18:16 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Till Schäfer 2017-12-20 14:29:45 UTC
I have been hit on two machines by this upstream bug

https://bugzilla.kernel.org/show_bug.cgi?id=198047

seems that the link status is broken for the e1000e driver since 4.14.3.
Comment 1 Till Schäfer 2017-12-20 14:45:30 UTC
the upstream bug attached a patch that is working for both machines here

https://bugzilla.kernel.org/attachment.cgi?id=261183

Since this bug will hit many stable users (a lot of e1000e cards out there) and there is an easy fix -> maybe it is time for a fixed/patched =sys-kernel/gentoo-sources-4.14.7-r1.
Comment 2 Till Schäfer 2017-12-20 17:46:08 UTC
Regarding the bug-renaming: I also observed this for a Intel Corporation 7 Series/C210 Series Chipset with Intel 82579V. However, I do not know if the chipset is somehow (driver-wise) related to ICH8.
Comment 3 Brian Evans Gentoo Infrastructure gentoo-dev 2017-12-20 17:55:03 UTC
(In reply to Till Schäfer from comment #2)
> Regarding the bug-renaming: I also observed this for a Intel Corporation 7
> Series/C210 Series Chipset with Intel 82579V. However, I do not know if the
> chipset is somehow (driver-wise) related to ICH8.

The attachment specifically changes an ICH8 function so it is most likely related, but may not be limited, to that chip series.
Comment 4 Brian Evans Gentoo Infrastructure gentoo-dev 2017-12-20 17:59:54 UTC
Here is a list of chips in the ich8lan family..

/* 82562G 10/100 Network Connection
 * 82562G-2 10/100 Network Connection
 * 82562GT 10/100 Network Connection
 * 82562GT-2 10/100 Network Connection
 * 82562V 10/100 Network Connection
 * 82562V-2 10/100 Network Connection
 * 82566DC-2 Gigabit Network Connection
 * 82566DC Gigabit Network Connection
 * 82566DM-2 Gigabit Network Connection
 * 82566DM Gigabit Network Connection
 * 82566MC Gigabit Network Connection
 * 82566MM Gigabit Network Connection
 * 82567LM Gigabit Network Connection
 * 82567LF Gigabit Network Connection
 * 82567V Gigabit Network Connection
 * 82567LM-2 Gigabit Network Connection
 * 82567LF-2 Gigabit Network Connection
 * 82567V-2 Gigabit Network Connection
 * 82567LF-3 Gigabit Network Connection
 * 82567LM-3 Gigabit Network Connection
 * 82567LM-4 Gigabit Network Connection
 * 82577LM Gigabit Network Connection
 * 82577LC Gigabit Network Connection
 * 82578DM Gigabit Network Connection
 * 82578DC Gigabit Network Connection
 * 82579LM Gigabit Network Connection
 * 82579V Gigabit Network Connection
 * Ethernet Connection I217-LM
 * Ethernet Connection I217-V
 * Ethernet Connection I218-V
 * Ethernet Connection I218-LM
 * Ethernet Connection (2) I218-LM
 * Ethernet Connection (2) I218-V
 * Ethernet Connection (3) I218-LM
 * Ethernet Connection (3) I218-V
 */
Comment 5 Alice Ferrazzi Gentoo Infrastructure gentoo-dev 2017-12-20 21:01:08 UTC
removed 4.14.{4,5,6,7,8} affected by the regression

please confirm everything works correctly with 4.14.8-r1
Comment 6 Till Schäfer 2017-12-30 14:53:29 UTC
sry for the late reply. 4.14.8-r1 worked as expected.
Comment 7 Till Schäfer 2018-01-06 22:24:14 UTC
uhh, the upstream bug is still open. Have you any reference, that the bug is resolved upstream?
Comment 8 Thomas Deutschmann gentoo-dev Security 2018-01-15 14:04:12 UTC
Same bug was backported to 4.4 and 4.9 and needs the same patch.
Comment 9 Larry the Git Cow gentoo-dev 2018-01-15 20:58:58 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c35190af4e4cfc043514ff14d8e341c4a065e8b5

commit c35190af4e4cfc043514ff14d8e341c4a065e8b5
Author:     kuzetsa <kuzetsa@gmail.com>
AuthorDate: 2018-01-15 18:35:43 +0000
Commit:     Göktürk Yüksek <gokturk@gentoo.org>
CommitDate: 2018-01-15 20:58:07 +0000

    sys-kernel/ck-sources: bugfix / revbump (4.9.76-r1)
    
    (Alice Ferrazzi)
    Patch info: Fix link is not ready / does not
    come up on e1000e ICH8 network interfaces
    Bug: https://bugs.gentoo.org/641818
    Package-Manager: Portage-2.3.13, Repoman-2.3.3

 sys-kernel/ck-sources/Manifest                    |  3 ++
 sys-kernel/ck-sources/ck-sources-4.9.76-r1.ebuild | 65 +++++++++++++++++++++++
 2 files changed, 68 insertions(+)}
Comment 10 Tomáš Mózes 2018-01-24 06:06:35 UTC
A patch landed in 4.14, but Vmware reports it's still an issue, can anyone confirm?